stages:
  - test
  - dry-run
  - manual
  - run

include:
  - template: 'Workflows/Branch-Pipelines.gitlab-ci.yml'
  - local: '.gitlab/ci/projects.gitlab-ci.yml'

# always use `gitlab-org` runners
default:
  image: registry.gitlab.com/gitlab-org/gitlab-build-images/debian-bullseye-ruby-3.2:bundler-2.5
  tags:
    - gitlab-org
  before_script:
    - gem install bundler
    - bundle install

.jsonnet-tool-image:
  image:
    # renovate: datasource=docker depName=registry.ops.gitlab.net/gitlab-com/gl-infra/jsonnet-tool versioning=docker
    name: ${CI_REGISTRY}/gitlab-com/gl-infra/jsonnet-tool:v1.15.2
    entrypoint: ['']

rspec:
  stage: test
  script:
    - bundle exec rspec spec -f d -c --color --tty
  artifacts:
    reports:
      coverage_report:
        coverage_format: cobertura
        path: coverage/coverage.xml
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
      when: never
    - when: on_success

validate:
  stage: test
  extends: .jsonnet-tool-image
  before_script:
    - 'apk add --no-cache make git'
  script:
    - 'make validate-ci-config'
  rules:
    - if: $CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH
